View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000012aMuleMiscpublic2004-04-14 01:482004-09-20 23:17
ReporterBatman 
Assigned ToXaignar 
PriorityimmediateSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000012: click a result in search list
DescriptionProgram received signal SIGSEGV, Segmentation fault.
[Switching to Thread 16384 (LWP 13176)]
0x081ca62a in wxODGenericListCtrl::GetNextItem(long, int, int) const (this=0x0, item=-1, geom=1, state=4)
    at listctrl.cpp:5161
5161 return m_mainWin->GetNextItem( item, geom, state );
(gdb) bt
#0 0x081ca62a in wxODGenericListCtrl::GetNextItem(long, int, int) const (this=0x0, item=-1, geom=1, state=4)
    at listctrl.cpp:5161
0000001 0x0824d651 in CSearchDlg::DownloadSelected() (this=0x86c4c80) at SearchDlg.cpp:310
0000002 0x0824d383 in CSearchDlg::OnBnClickedSdownload(wxCommandEvent&) (this=0x86c4c80, evt=@0xbfffece0)
    at SearchDlg.cpp:264
0000003 0x0825514b in CSearchListCtrl::OnLDclick(wxMouseEvent&) (this=0x98cb410, event=@0xbffff040)
    at SearchListCtrl.cpp:154
0000004 0x402cd4da in wxEvtHandler::SearchEventTable(wxEventTable&, wxEvent&) () from /usr/lib/libwx_gtk-2.4.so
0000005 0x402cd301 in wxEvtHandler::ProcessEvent(wxEvent&) () from /usr/lib/libwx_gtk-2.4.so
0000006 0x081cfb16 in CMuleListCtrl::ProcessEvent(wxEvent&) (this=0x98cb410, evt=@0xbffff040)
    at MuleListCtrl.cpp:778
0000007 0x082560d0 in CSearchListCtrl::ProcessEvent(wxEvent&) (this=0x98cb410, evt=@0xbffff040)
    at SearchListCtrl.cpp:352
0000008 0x081c5d46 in wxODListMainWindow::OnMouse(wxMouseEvent&) (this=0x9a2e0b8, event=@0xbffff040)
    at listctrl.cpp:3224
0000009 0x402cd4da in wxEvtHandler::SearchEventTable(wxEventTable&, wxEvent&) () from /usr/lib/libwx_gtk-2.4.so
0000010 0x402cd301 in wxEvtHandler::ProcessEvent(wxEvent&) () from /usr/lib/libwx_gtk-2.4.so
#11 0x4028c358 in gtk_window_button_press_callback(_GtkWidget*, _GdkEventButton*, wxWindow*) ()
   from /usr/lib/libwx_gtk-2.4.so
0000012 0x405b6618 in gtk_marshal_BOOL__POINTER () from /usr/lib/libgtk-1.2.so.0
(gdb) bt full
#0 0x081ca62a in wxODGenericListCtrl::GetNextItem(long, int, int) const (this=0x0, item=-1, geom=1, state=4)
    at listctrl.cpp:5161
No locals.
0000001 0x0824d651 in CSearchDlg::DownloadSelected() (this=0x86c4c80) at SearchDlg.cpp:310
        index = -1
        nb = (class CMuleNotebook *) 0x86d4f18
        slock = <incomplete type>
        searchlistctrl = (class CSearchListCtrl *) 0x0
0000002 0x0824d383 in CSearchDlg::OnBnClickedSdownload(wxCommandEvent&) (this=0x86c4c80, evt=@0xbfffece0)
    at SearchDlg.cpp:264
No locals.
0000003 0x0825514b in CSearchListCtrl::OnLDclick(wxMouseEvent&) (this=0x98cb410, event=@0xbffff040)
    at SearchListCtrl.cpp:154
        lips = 128
        index = 0
        nulEvt = <incomplete type>
0000004 0x402cd4da in wxEvtHandler::SearchEventTable(wxEventTable&, wxEvent&) () from /usr/lib/libwx_gtk-2.4.so
No symbol table info available.
0000005 0x402cd301 in wxEvtHandler::ProcessEvent(wxEvent&) () from /usr/lib/libwx_gtk-2.4.so
No symbol table info available.
0000006 0x081cfb16 in CMuleListCtrl::ProcessEvent(wxEvent&) (this=0x98cb410, evt=@0xbffff040)
    at MuleListCtrl.cpp:778
No locals.
0000007 0x082560d0 in CSearchListCtrl::ProcessEvent(wxEvent&) (this=0x98cb410, evt=@0xbffff040)
    at SearchListCtrl.cpp:352
        event = (struct wxCommandEvent &) @0x402cd301: <incomplete type>
        file = (class CSearchFile *) 0xbfffee88
        item = 141401208
0000008 0x081c5d46 in wxODListMainWindow::OnMouse(wxMouseEvent&) (this=0x9a2e0b8, event=@0xbffff040)
    at listctrl.cpp:3224
        x = 1080811061
        y = 150603776
        hitResult = 1074571270
        count = 1073820768
        current = 3221221328
        forceClick = false
0000009 0x402cd4da in wxEvtHandler::SearchEventTable(wxEventTable&, wxEvent&) () from /usr/lib/libwx_gtk-2.4.so
No symbol table info available.
0000010 0x402cd301 in wxEvtHandler::ProcessEvent(wxEvent&) () from /usr/lib/libwx_gtk-2.4.so
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#11 0x4028c358 in gtk_window_button_press_callback(_GtkWidget*, _GdkEventButton*, wxWindow*) ()
   from /usr/lib/libwx_gtk-2.4.so
No symbol table info available.
0000012 0x405b6618 in gtk_marshal_BOOL__POINTER () from /usr/lib/libgtk-1.2.so.0
No symbol table info available.
Additional Informationafter a search, i double-click an item, and after a few seconds, a other item. The selected one was still the first... It was frozen (maybe at the first click ?) and nothing appeared in status bar (the well known "downloading my_movie.avi"), nor for the first, nor the second file.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000031)
Kry (manager)
2004-04-15 13:49

This WHILe searching of the search had finished?
(0000032)
Batman (reporter)
2004-04-15 16:39

sorry, i don't remember if search was finished or still going on...
(0000258)
Xaignar (manager)
2004-09-20 23:17

This should be fixed in current CVS. Please let me know if it isn't.

- Issue History
Date Modified Username Field Change
2004-04-14 01:48 Batman New Issue
2004-04-15 13:49 Kry Note Added: 0000031
2004-04-15 13:49 Kry Status new => acknowledged
2004-04-15 16:39 Batman Note Added: 0000032
2004-04-20 11:33 Xaignar Category => Misc
2004-07-18 14:34 Kry Priority normal => immediate
2004-07-18 14:34 Kry Status acknowledged => assigned
2004-08-09 19:01 Xaignar Assigned To => Xaignar
2004-09-20 23:17 Xaignar Status assigned => resolved
2004-09-20 23:17 Xaignar Resolution open => fixed
2004-09-20 23:17 Xaignar Note Added: 0000258


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker